Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™
Author Message
Randomizer
Regular
Regular


Joined: Jun 10, 2005
Posts: 57
Location: Sweden

PostPosted: Thu Jun 23, 2005 6:36 am Reply with quote

Hi,

I'm using PHP-NUKE version 7.6. I'm not sure which patch I have.

I've downloaded "NukeSentinel_71-77_230" and now I have som problems, thats' why I'm here

My questions are:
1. Is "Version 7.6++ Full Patched" the Nuke version with patch 3.0?

2. Is my Nuke version (Version 7.6++ Full Patched) compatible with "NukeSentinel_71-77_230"?

3. I have added this to my mainfile.php:
Code:
Code:
if (defined('FORUM_ADMIN')) { 

  @include_once("../../../includes/nukesentinel.php");
} elseif (defined('INSIDE_MOD')) {
  @include_once("../../includes/nukesentinel.php");
} else {
  @include_once("includes/nukesentinel.php");
}


Is this the right code for the version I have?

4. My site is blank after installing Sentinel. What's wrong?
I've have read a lot of postings in the forum, but I'm still a bit confused.


//Randomizer
 
View user's profile Send private message Visit poster's website
kguske
Site Admin


Joined: Jun 04, 2004
Posts: 6383

PostPosted: Thu Jun 23, 2005 7:50 am Reply with quote

I'm not familiar with 7.6++. Where did you download it? Usually, the download description tells you what patch level is included. If there is no reference to it, it probably isn't patched.

The patch files can be downloaded from Only registered users can see links on this board! Get registered or login! and Only registered users can see links on this board! Get registered or login! where Chatserv maintains all sorts of patches, fixes and enhancements for both PHP-Nuke and the phpBB forums that work with PHP-Nuke. The patches are cumulative, so you should only need to apply one patch (3.0b with phpBB 2.0.15 is the latest, I think).

When a site doesn't have the correct patch level, you'll see a blank page if you apply NukeSentinel or any of several other addons / modules that expect a certain patch level (this is usually noted in the download instructions).

If you prefer not to modify PHP files, etc., as required by a patch and many modules, I'd suggest using a loaded distribution of PHP-Nuke that already includes the patches and the major modules you want to use that require more advanced modifications. There are several distributions (e.g. Xtreme, Maximus, and others) that have NukeSentinel included.

If you prefer to load the patches yourself, if you search here for "forum blank page" you will find more than enough posts that describe how to determine which problem you have and how to resolve it. I strongly encourage anyone adding a patch to do so carefully - make sure that all changes have been made correctly. If not, you'll get a blank page - and this happens even to people who are experienced.

_________________
I google, therefore I exist...
Only registered users can see links on this board! Get registered or login!
 
View user's profile Send private message
Randomizer
PostPosted: Sat Jun 25, 2005 10:04 am Reply with quote

This is the readme file for "76patched_Full_Pack.zip".
Can a make a test to see if the latest patch is included in this version?


Code:
/************************************************************************/

/* PHP-NUKE: Web Portal System                                          */
/* ===========================                                          */
/*                                                                      */
/* Copyright (c) 2002 by Francisco Burzi                                */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/************************************************************************/
/*                 PHP-Nuke Patched -- 2005 chatserv                    */
/*      http://www.nukefixes.com -- http://www.nukeresources.com        */
/************************************************************************/
/*  06/06/05 - Nuke 7.6 Patched Full Pack Released                      */
/************************************************************************/
/******************************************************************************/
/*        REMEMBER TO EDIT THE INCLUDED CONFIG.PHP BEFORE UPLOADING IT        */
/*     If Upgrading From Previous versions of Nuke you don't need to run      */
/*    the upgrade.php or upgrade.sql file if you run the 75-76 upgrade file   */
/*             but you will need to run either if you are replacing           */
/*                     the files from an existing 7.6 site                    */
/*              nuke.sql has been corrected to match the fixes                */
/******************************************************************************/
 
kguske
PostPosted: Sat Jun 25, 2005 10:44 am Reply with quote

You can verify by looking at the source, but, since this is dated 6/6/06, I would guess it probably has the latest patch (which was dated 5/13/2005). Again, there should information in the installation notes that tells you what the patch level is, but the only way to know for certain is to look at the source code to see if the changes specified in a patch have been made. That should only take about 20 minutes.
 
Randomizer
PostPosted: Sat Jun 25, 2005 10:49 am Reply with quote

Can you give me some examples where in the sourcecode to look
and what it should be if the latest patch is applied.

//Randomizer
 
kguske
PostPosted: Sat Jun 25, 2005 12:08 pm Reply with quote

The best way to check it to download the patch from Only registered users can see links on this board! Get registered or login! extract the files, and check the changelog. It has the specific changes detailed.
 
Randomizer
PostPosted: Sat Jun 25, 2005 1:24 pm Reply with quote

Ok, I'm almost sure that I have patch 3.0.
Back to my question number 4.

My website is blank after installing Sentinel.
When I remove this code the site comes up,
but when I click the Sentinel button i the administration it says:
It appears that NukeSentinel(tm) has not been configured correctly. The most common cause is that you either have an error in the syntax that is including includes/nukesentinel.php from your mainfile.php, or you have not added the NukeSentinel(tm) code to your mainfile.php. This code must be placed immediately after the opening <? tag in mainfile.php.

Code that I removed from mainfile.php:
Code:
if (defined('FORUM_ADMIN')) {

    @include_once("../../../includes/nukesentinel.php");
} elseif (defined('INSIDE_MOD')) {
    @include_once("../../includes/nukesentinel.php");
} else {
    @include_once("includes/nukesentinel.php");
}
 
Display posts from previous:       
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©